<template>
  <div class="ob-layout-container background">
    <ob-menu
      v-if="topLevelMembers.length"
      :top-level-members="topLevelMembers"
      :events="events"
      :data-qa="dataQa"
      @logout="$emit('logout')"
      @profile="$emit('profile')"
      @change-locale="$emit('change-locale', $event)"
      @settings="$emit('settings')"
      @tasks="$emit('tasks')"
      @setCompany="$emit('setCompany')"
    />
    <div class="content">
      <slot />
    </div>
    <div class="footer">
      <div class="version">
        {{ version }}
      </div>
    </div>
  </div>
</template>

<script>
import ObMenu from '../obMainMenu/index.vue'

export default {
  name: 'ObLayout',
  components: {
    ObMenu
  },
  props: {
    version: {
      type: String,
      default: `Без версии ${(new Date()).toLocaleDateString('ru-RU')}`
    },
    topLevelMembers: Array,
    events: {
      type: Object,
      default: () => {}
    },
    dataQa: {
      type: String
    }
  },
  data () {
    return {
      roles: []
    }
  }
}
</script>

<style scoped lang="scss">
  .ob-layout-container {
    min-width: 1024px;
    .content {
      height: calc(100vh - 148px);
      display: flex;
      width: 100%;
      flex-wrap: nowrap;
      flex-grow: 1;
    }

    .background > .footer {
      height: 20px;
      display: flex;
      width: 100%;
      flex-wrap: nowrap;
      flex-grow: 1;
      flex-direction: row-reverse;
      padding-right: 22px;

      & > .version {
        font-size: 9px;
        color: $gray-slate;
        background: white;
        margin-top: -4px;
        margin-bottom: 4px;
        padding: 5px 10px;
        border-radius: 15px;
      }
    }

    .background {
      display: flex;
      flex-grow: 1;
      flex-wrap: wrap;
      width: auto;
      flex-direction: column;
    }
  }
</style>
<style lang="scss">
  @import "../../static/css/main";
  @import "../../static/css/oboz-font.scss";
  @import "../../static/css/colors";
</style>
